// This file is part of libc-extra. It is subject to the license terms in the COPYRIGHT file found in the top-level directory of this distribution and at https://raw.githubusercontent.com/lemonrock/libc-extra/master/COPYRIGHT. No part of libc-extra, including this file, may be copied, modified, propagated, or distributed except according to the terms contained in the COPYRIGHT file.
// Copyright © 2016-2018 The developers of libc-extra. See the COPYRIGHT file in the top-level directory of this distribution and at https://raw.githubusercontent.com/lemonrock/libc-extra/master/COPYRIGHT.


use ::libc::c_int;
use ::android_linux::asm_generic::ioctls::FIONREAD;
use ::android_linux::asm_generic::ioctls::TIOCOUTQ;


pub const SIOCINQ: c_int =  FIONREAD;
pub const SIOCOUTQ: c_int =  TIOCOUTQ;
pub const SIOCADDRT: c_int = 0x890B;
pub const SIOCDELRT: c_int = 0x890C;
pub const SIOCRTMSG: c_int = 0x890D;
pub const SIOCGIFNAME: c_int = 0x8910;
pub const SIOCSIFLINK: c_int = 0x8911;
pub const SIOCGIFCONF: c_int = 0x8912;
pub const SIOCGIFFLAGS: c_int = 0x8913;
pub const SIOCSIFFLAGS: c_int = 0x8914;
pub const SIOCGIFADDR: c_int = 0x8915;
pub const SIOCSIFADDR: c_int = 0x8916;
pub const SIOCGIFDSTADDR: c_int = 0x8917;
pub const SIOCSIFDSTADDR: c_int = 0x8918;
pub const SIOCGIFBRDADDR: c_int = 0x8919;
pub const SIOCSIFBRDADDR: c_int = 0x891a;
pub const SIOCGIFNETMASK: c_int = 0x891b;
pub const SIOCSIFNETMASK: c_int = 0x891c;
pub const SIOCGIFMETRIC: c_int = 0x891d;
pub const SIOCSIFMETRIC: c_int = 0x891e;
pub const SIOCGIFMEM: c_int = 0x891f;
pub const SIOCSIFMEM: c_int = 0x8920;
pub const SIOCGIFMTU: c_int = 0x8921;
pub const SIOCSIFMTU: c_int = 0x8922;
pub const SIOCSIFNAME: c_int = 0x8923;
pub const SIOCSIFHWADDR: c_int = 0x8924;
pub const SIOCGIFENCAP: c_int = 0x8925;
pub const SIOCSIFENCAP: c_int = 0x8926 ;
pub const SIOCGIFHWADDR: c_int = 0x8927;
pub const SIOCGIFSLAVE: c_int = 0x8929;
pub const SIOCSIFSLAVE: c_int = 0x8930;
pub const SIOCADDMULTI: c_int = 0x8931;
pub const SIOCDELMULTI: c_int = 0x8932;
pub const SIOCGIFINDEX: c_int = 0x8933;
pub const SIOGIFINDEX: c_int =  SIOCGIFINDEX;
pub const SIOCSIFPFLAGS: c_int = 0x8934;
pub const SIOCGIFPFLAGS: c_int = 0x8935;
pub const SIOCDIFADDR: c_int = 0x8936;
pub const SIOCSIFHWBROADCAST: c_int = 0x8937;
pub const SIOCGIFCOUNT: c_int = 0x8938;
pub const SIOCGIFBR: c_int = 0x8940;
pub const SIOCSIFBR: c_int = 0x8941;
pub const SIOCGIFTXQLEN: c_int = 0x8942;
pub const SIOCSIFTXQLEN: c_int = 0x8943;
pub const SIOCETHTOOL: c_int = 0x8946;
pub const SIOCGMIIPHY: c_int = 0x8947;
pub const SIOCGMIIREG: c_int = 0x8948;
pub const SIOCSMIIREG: c_int = 0x8949;
pub const SIOCWANDEV: c_int = 0x894A;
pub const SIOCOUTQNSD: c_int = 0x894B;
pub const SIOCDARP: c_int = 0x8953;
pub const SIOCGARP: c_int = 0x8954;
pub const SIOCSARP: c_int = 0x8955;
pub const SIOCDRARP: c_int = 0x8960;
pub const SIOCGRARP: c_int = 0x8961;
pub const SIOCSRARP: c_int = 0x8962;
pub const SIOCGIFMAP: c_int = 0x8970;
pub const SIOCSIFMAP: c_int = 0x8971;
pub const SIOCADDDLCI: c_int = 0x8980;
pub const SIOCDELDLCI: c_int = 0x8981;
pub const SIOCGIFVLAN: c_int = 0x8982;
pub const SIOCSIFVLAN: c_int = 0x8983;
pub const SIOCBONDENSLAVE: c_int = 0x8990;
pub const SIOCBONDRELEASE: c_int = 0x8991;
pub const SIOCBONDSETHWADDR: c_int = 0x8992;
pub const SIOCBONDSLAVEINFOQUERY: c_int = 0x8993;
pub const SIOCBONDINFOQUERY: c_int = 0x8994;
pub const SIOCBONDCHANGEACTIVE: c_int = 0x8995;
pub const SIOCBRADDBR: c_int = 0x89a0;
pub const SIOCBRDELBR: c_int = 0x89a1;
pub const SIOCBRADDIF: c_int = 0x89a2;
pub const SIOCBRDELIF: c_int = 0x89a3;
pub const SIOCSHWTSTAMP: c_int = 0x89b0;
pub const SIOCGHWTSTAMP: c_int = 0x89b1;

// Add 0 - 15 to these values for the range of private controls;
pub const SIOCDEVPRIVATE: c_int = 0x89F0 ;
pub const SIOCPROTOPRIVATE: c_int = 0x89E0;
